/******************************************************/
/* Neuer Eintrag fr CheckServer Konfigurations-Datei */
/* Neu v1.30: CmqueryChk                 (13.10.2000) */
/* Neu v1.50: Ping/PrtQueue/RemoteCmd    (30.04.2001) */
/* Neu v1.60: NetSessionChk              (13.10.2001) */
/*                                                    */
/* (c) 2001 by Thomas Nolte                           */
/******************************************************/

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

/* Variablen */
DAT_Datei = 'CHECKSRV.DAT'
LOG_Datei = 'CHECKADD.LOG'

/* Neu in v1.30 */
DAT_KeyCmqueryChk = 'CmqueryChk'
CmqueryChk = '0'

/* Neu in v1.50 */
DAT_KeyBootLW = 'BootLW'
DAT_KeyTcpPfad = 'TcpPfad'
DAT_KeyCm2Pfad = 'Cm2Pfad'
DAT_KeyPrtQueueChk = 'PrtQueueChk'
DAT_KeyPingChk = 'PingChk'
DAT_KeyPingAdr = 'PingAdr'
DAT_KeyRemoteCMD_1 = 'RemoteCmd1'
DAT_KeyRemoteCMD_2 = 'RemoteCmd2'
DAT_KeyRemoteCMD_3 = 'RemoteCmd3'
DAT_KeyRemoteCMD_4 = 'RemoteCmd4'
BootLW = 'C'
TcpPfad = 'C:\MPTN\BIN'
Cm2Pfad = 'C:\CMLIB'
PrtQueueChk = '0'
PingChk = '1'
PingAdr = '-'
RemoteCmd1 = '-'
RemoteCmd2 = '-'
RemoteCmd3 = '-'
RemoteCmd4 = '-'

/* Neu in v1.60 */
DAT_KeyNetSessionChk = 'NetSessionChk'
NetSessionChk = '0'

/* Alle Server abfragen */
RC = SysIni(DAT_Datei,'ALL:','FoundSrv')

if FoundSrv.0 > '0' then
   do i=1 to FoundSrv.0
      call lineout LOG_Datei,"Server "FoundSrv.i
      call lineout LOG_Datei,"====================="

      /* Neu in v1.30 */
      if SysIni(DAT_Datei,FoundSrv.i,DAT_KeyCmqueryChk) = 'ERROR:' then
         do
            RC = SysIni(DAT_Datei,FoundSrv.i,DAT_KeyCmqueryChk,CmqueryChk)
            if RC = '' then
               call lineout LOG_Datei,"Key 'CmQuerryChek' hinzugefgt"
            else
               call lineout LOG_Datei,"Key 'CmQuerryChek' nicht hinzugefgt (RC="RC")"
         end

      /* Neu in v1.50 */
      if SysIni(DAT_Datei,FoundSrv.i,DAT_KeyBootLW) = 'ERROR:' then
         do
            RC = SysIni(DAT_Datei,FoundSrv.i,DAT_KeyBootLW,BootLW)
            if RC = '' then
               call lineout LOG_Datei,"Key 'BootLW' hinzugefgt"
            else
               call lineout LOG_Datei,"Key 'BootLW' nicht hinzugefgt (RC="RC")"
         end
      if SysIni(DAT_Datei,FoundSrv.i,DAT_KeyTcpPfad) = 'ERROR:' then
         do
            RC = SysIni(DAT_Datei,FoundSrv.i,DAT_KeyTcpPfad,TcpPfad)
            if RC = '' then
               call lineout LOG_Datei,"Key 'TcpPfad' hinzugefgt"
            else
               call lineout LOG_Datei,"Key 'TcpPfad' nicht hinzugefgt (RC="RC")"
         end
      if SysIni(DAT_Datei,FoundSrv.i,DAT_KeyCm2Pfad) = 'ERROR:' then
         do
            RC = SysIni(DAT_Datei,FoundSrv.i,DAT_KeyCm2Pfad,Cm2Pfad)
            if RC = '' then
               call lineout LOG_Datei,"Key 'Cm2Pfad' hinzugefgt"
            else
               call lineout LOG_Datei,"Key 'Cm2Pfad' nicht hinzugefgt (RC="RC")"
         end
      if SysIni(DAT_Datei,FoundSrv.i,DAT_KeyPrtQueueChk) = 'ERROR:' then
         do
            RC = SysIni(DAT_Datei,FoundSrv.i,DAT_KeyPrtQueueChk,PrtQueueChk)
            if RC = '' then
               call lineout LOG_Datei,"Key 'PrtQueueChk' hinzugefgt"
            else
               call lineout LOG_Datei,"Key 'PrtQueueChk' nicht hinzugefgt (RC="RC")"
         end
      if SysIni(DAT_Datei,FoundSrv.i,DAT_KeyPingChk) = 'ERROR:' then
         do
            RC = SysIni(DAT_Datei,FoundSrv.i,DAT_KeyPingChk,PingChk)
            if RC = '' then
               call lineout LOG_Datei,"Key 'PingChk' hinzugefgt"
            else
               call lineout LOG_Datei,"Key 'PingChk' nicht hinzugefgt (RC="RC")"
         end
      if SysIni(DAT_Datei,FoundSrv.i,DAT_KeyPingAdr) = 'ERROR:' then
         do
            RC = SysIni(DAT_Datei,FoundSrv.i,DAT_KeyPingAdr,PingAdr)
            if RC = '' then
               call lineout LOG_Datei,"Key 'PingAdr' hinzugefgt"
            else
               call lineout LOG_Datei,"Key 'PingAdr' nicht hinzugefgt (RC="RC")"
         end
      if SysIni(DAT_Datei,FoundSrv.i,DAT_KeyRemoteCMD_1) = 'ERROR:' then
         do
            RC = SysIni(DAT_Datei,FoundSrv.i,DAT_KeyRemoteCMD_1,RemoteCmd1)
            if RC = '' then
               call lineout LOG_Datei,"Key 'RemoteCmd1' hinzugefgt"
            else
               call lineout LOG_Datei,"Key 'RemoteCmd1' nicht hinzugefgt (RC="RC")"
         end
      if SysIni(DAT_Datei,FoundSrv.i,DAT_KeyRemoteCMD_2) = 'ERROR:' then
         do
            RC = SysIni(DAT_Datei,FoundSrv.i,DAT_KeyRemoteCMD_2,RemoteCmd2)
            if RC = '' then
               call lineout LOG_Datei,"Key 'RemoteCmd2' hinzugefgt"
            else
               call lineout LOG_Datei,"Key 'RemoteCmd2' nicht hinzugefgt (RC="RC")"
         end
      if SysIni(DAT_Datei,FoundSrv.i,DAT_KeyRemoteCMD_3) = 'ERROR:' then
         do
            RC = SysIni(DAT_Datei,FoundSrv.i,DAT_KeyRemoteCMD_3,RemoteCmd3)
            if RC = '' then
               call lineout LOG_Datei,"Key 'RemoteCmd3' hinzugefgt"
            else
               call lineout LOG_Datei,"Key 'RemoteCmd3' nicht hinzugefgt (RC="RC")"
         end
      if SysIni(DAT_Datei,FoundSrv.i,DAT_KeyRemoteCMD_4) = 'ERROR:' then
         do
            RC = SysIni(DAT_Datei,FoundSrv.i,DAT_KeyRemoteCMD_4,RemoteCmd4)
            if RC = '' then
               call lineout LOG_Datei,"Key 'RemoteCmd4' hinzugefgt"
            else
               call lineout LOG_Datei,"Key 'RemoteCmd4' nicht hinzugefgt (RC="RC")"
         end

      /* Neu in v1.60 */
      if SysIni(DAT_Datei,FoundSrv.i,DAT_KeyNetSessionChk) = 'ERROR:' then
         do
            RC = SysIni(DAT_Datei,FoundSrv.i,DAT_KeyNetSessionChk,NetSessionChk)
            if RC = '' then
               call lineout LOG_Datei,"Key 'NetSessionChk' hinzugefgt"
            else
               call lineout LOG_Datei,"Key 'NetSessionChk' nicht hinzugefgt (RC="RC")"
         end

      call lineout LOG_Datei," "
   end /* do */

EXIT
